<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/col_f1f"
    android:orientation="vertical">

    <include
        android:id="@+id/title"
        layout="@layout/title_white_bar" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:id="@+id/llCommodity"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="gone"
                tools:visibility="gone"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                android:paddingBottom="@dimen/dp_20">

                <com.shuyu.gsyvideoplayer.video.StandardGSYVideoPlayer
                    android:id="@+id/video_player"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_200"
                    android:layout_marginLeft="@dimen/dp_14"
                    android:layout_marginTop="@dimen/dp_14"
                    android:layout_marginRight="@dimen/dp_14"
                    android:layout_marginBottom="@dimen/dp_12" />

                <ImageView
                    android:id="@+id/iv_bg"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_15"
                    android:layout_marginRight="@dimen/dp_15"
                    android:scaleType="center" />

            </LinearLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/llSoldOut"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_284"
                android:visibility="visible"
                android:layout_marginTop="@dimen/dp_14"
                android:background="@drawable/shape_bg_white_8_radius"
                android:layout_marginHorizontal="@dimen/dp_14"
                android:orientation="vertical">

                <ImageView
                    android:id="@+id/ivImg"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/ic_no_data"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"/>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_16"
                    android:text="该商品已下架"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText"
                    app:layout_constraintStart_toStartOf="@+id/ivImg"
                    app:layout_constraintEnd_toEndOf="@+id/ivImg"
                    app:layout_constraintBottom_toBottomOf="@+id/ivImg"/>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </FrameLayout>

    </androidx.core.widget.NestedScrollView>

    <TextView
        android:id="@+id/tv_purchase"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:layout_marginLeft="@dimen/dp_15"
        android:layout_marginRight="@dimen/dp_15"
        android:layout_marginBottom="@dimen/dp_10"
        android:background="@drawable/shape_button_bg"
        android:gravity="center"
        android:text="立即购买"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_18" />

</LinearLayout>